Package org.eclipse.graphiti.func

# Interface ICreate

All Superinterfaces:
  `ICreateInfo`

All Known Subinterfaces:
  `ICreateFeature`, `IPattern`

All Known Implementing Classes:
  `AbstractCreateFeature`, `AbstractPattern`, `CreateFeatureForPattern`, `IdPattern`, `TypedPattern`

public interface ICreate extends ICreateInfo
The Interface ICreate.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Object[]`
`EMPTY`
Empty object array as return for unsuccessful create operations.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canCreate(ICreateContext context)`
Checks if business object can be created for the given context.
`Object[]`
`create(ICreateContext context)`
Creates the business object for the given context.

### Methods inherited from interface org.eclipse.graphiti.func.ICreateInfo

`getCreateDescription, getCreateImageId, getCreateLargeImageId, getCreateName`

## Field Details

### EMPTY

static final Object[] EMPTY
Empty object array as return for unsuccessful create operations.

## Method Details

### canCreate

boolean canCreate(ICreateContext context)
Checks if business object can be created for the given context.

Parameters:
  `context` - the context
Returns:
  true if create is possible.

### create

Object[] create(ICreateContext context)
Creates the business object for the given context.

Parameters:
  `context` - the context
Returns:
  the newly created objects